# Xiaomi-Redmi-4x-LineageOS

[ROM] Xiaomi Redmi 4X Santoni LineageOS Setup

1. fastboot/adb an den Start kriegen
2. Geräteverbindung checken
3. TWPR, Magisk, ROM laden
4. TWPR flashen
5. Magisk, ROM als Zip oä drauf bekommen ? 
6. Bootmenü (Kombi raussuchen)
7. Magisk & ROM installieren 
8. have fun

## Reference Links

- https://wiki.lineageos.org/adb_fastboot_guide.html
- https://box4gsm.blogspot.com/2019/11/how-to-install-adb-and-fastboot-on-arch.html
- https://wiki.lineageos.org/devices/santoni/install
- https://twrp.me/xiaomi/xiaomiredmi4x.html
- https://download.lineage.microg.org/santoni/
- https://github.com/topjohnwu/Magisk
- https://magisk.me/
- https://forum.xda-developers.com/c/xiaomi-redmi-4x.6954/
- https://www.xda-developers.com/lineageos-builds-back-online-xiaomi-devices/
- https://skyhawkrecovery.github.io/Devices.html (TWPR Theme + Features)
- https://skyhawkrecovery.github.io/Devices.html



## Steps to take

### 0. Gerät vorbereiten

Zurücksetzen und OHNE Internet Verbindung und Google Account an den Start bringen!

### 1. fastboot & adb an den Start bringen

**Manjaro Cinnamon - Arch Linux Setup**

![Video](https://www.youtube.com/watch?v=CWWf1M25jYs)

`sudo pacman -S android-tools`

**Ubuntu based Systems**

https://www.digitbin.com/install-use-adb-fastboot-linux/

### 2. Geräteverbindung aufbauen

[Laut Anleitung](https://wiki.lineageos.org/devices/santoni/install) via Tastenkombination

`Volume Down + Power`

Startet den `FASTBOOT` Modus (Screenshot)

Via Terminal überprüfen mit 

`fastboot devices`

(Screenshot)

> Falls Ausfall/zu lange nicht verwendet: Nochmal Tastenkombination bis das Gerät erneut in den Modus startet!

### Software bereithalten

1. [TWPR](https://eu.dl.twrp.me/santoni/)
2. [Magisk]()
3. [Microg]()
4. (optional) [SHRP](https://sourceforge.net/projects/shrp/files/Santoni/)


